@use "sass:map";
@import "../init";

// ============================================================================
// DROWL Layouts (contrib module)
// ============================================================================

// General styling for DROWL Layouts (for layout builder, panels, ...)
.entity-layout {
  &__header {
    position: relative; // position base for unpublished labels
  }
  &__title {
    &.has-subline {
      h1,
      h2 {
        margin-bottom: 0 !important;
      }
    }
  }
}

// Nested layouts should have 100% height, so for example the
// vertical alignment option applies correctly.
.drowl-layout__region {
  > .paragraph--type-layout {
    > .drowl-layout {
      height: 100%;
      > .drowl-layout__inner {
        height: 100%;
        > .row {
          height: 100%;
        }
      }
    }
  }
}
